searchNodes=[{"doc":"IP provides representations for IP addresses and subnets for Elixir with a bunch of helpful stuff tacked on the side. Also provides a __using__ macro so that use IP will result in import IP.Sigil , which is just less typing, yo. Examples iex&gt; ~i(192.0.2.1) # IP.Address &lt; 192.0 . 2.1 DOCUMENTATION &gt; iex&gt; ~i(2001:db8::) # IP.Address &lt; 2001 :db8 :: DOCUMENTATION &gt; iex&gt; outside = ~i(2001:db8::/64) ...&gt; inside = IP.Prefix . eui_64! ( outside , &quot;60:f8:1d:ad:d8:90&quot; ) ...&gt; IP.Prefix . contains_address? ( outside , inside ) true","ref":"IP.html","title":"IP","type":"module"},{"doc":"Simple representations of IP Addresses.","ref":"IP.Address.html","title":"IP.Address","type":"module"},{"doc":"Return a MAC address coded in an EUI-64 address. Examples iex&gt; ~i(2001:db8::62f8:1dff:fead:d890) ...&gt; |&gt; IP.Address . eui_64_mac ( ) { :ok , &quot;60f8.1dad.d890&quot; }","ref":"IP.Address.html#eui_64_mac/1","title":"IP.Address.eui_64_mac/1","type":"function"},{"doc":"Returns true if the address is an EUI-64 address. Examples iex&gt; ~i(2001:db8::62f8:1dff:fead:d890) ...&gt; |&gt; IP.Address . eui_64? ( ) true","ref":"IP.Address.html#eui_64?/1","title":"IP.Address.eui_64?/1","type":"function"},{"doc":"Convert a 6to4 IPv6 address to it's correlated IPv6 address. Examples iex&gt; ~i(2002:c000:201::) ...&gt; |&gt; IP.Address . from_6to4 ( ) ...&gt; |&gt; inspect ( ) &quot;{:ok, #IP.Address&lt;192.0.2.1 DOCUMENTATION&gt;}&quot; iex&gt; ~i(2001:db8::) ...&gt; |&gt; IP.Address . from_6to4 ( ) { :error , &quot;Not a 6to4 address&quot; }","ref":"IP.Address.html#from_6to4/1","title":"IP.Address.from_6to4/1","type":"function"},{"doc":"Convert from a packed binary presentation to an address or raise an IP.Address.InvalidAddress exception. Examples iex&gt; &lt;&lt; 192 , 0 , 2 , 1 &gt;&gt; ...&gt; |&gt; IP.Address . from_binary! ( ) % IP.Address { address : 3221225985 , version : 4 } iex&gt; &lt;&lt; 32 , 1 , 13 , 184 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 1 &gt;&gt; ...&gt; |&gt; IP.Address . from_binary! ( ) % IP.Address { address : 42540766411282592856903984951653826561 , version : 6 }","ref":"IP.Address.html#from_binary!/1","title":"IP.Address.from_binary!/1","type":"function"},{"doc":"Convert from (packed) binary representations (either 32 or 128 bits long) into an address. Examples iex&gt; &lt;&lt; 192 , 0 , 2 , 1 &gt;&gt; ...&gt; |&gt; IP.Address . from_binary ( ) { :ok , % IP.Address { address : 3221225985 , version : 4 } } iex&gt; &lt;&lt; 32 , 1 , 13 , 184 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 &gt;&gt; ...&gt; |&gt; IP.Address . from_binary ( ) { :ok , % IP.Address { address : 42540766411282592856903984951653826560 , version : 6 } } iex&gt; &quot;192.0.2.1&quot; ...&gt; |&gt; IP.Address . from_binary ( ) { :error , &quot;Unable to convert binary to address&quot; }","ref":"IP.Address.html#from_binary/1","title":"IP.Address.from_binary/1","type":"function"},{"doc":"Convert an integer into an IP address of specified version or raise an IP.Address.InvalidAddress exception. Examples iex&gt; 3221225985 ...&gt; |&gt; IP.Address . from_integer! ( 4 ) % IP.Address { address : 3221225985 , version : 4 } iex&gt; 42540766411282592856903984951653826561 ...&gt; |&gt; IP.Address . from_integer! ( 6 ) % IP.Address { address : 42540766411282592856903984951653826561 , version : 6 }","ref":"IP.Address.html#from_integer!/2","title":"IP.Address.from_integer!/2","type":"function"},{"doc":"Convert an integer into an IP address of specified version. Examples iex&gt; 3221225985 ...&gt; |&gt; IP.Address . from_integer ( 4 ) { :ok , % IP.Address { address : 3221225985 , version : 4 } } iex&gt; 42540766411282592856903984951653826561 ...&gt; |&gt; IP.Address . from_integer ( 6 ) { :ok , % IP.Address { address : 42540766411282592856903984951653826561 , version : 6 } }","ref":"IP.Address.html#from_integer/2","title":"IP.Address.from_integer/2","type":"function"},{"doc":"Convert a string representation into an IP address or raise an IP.Address.InvalidAddress exception. Examples iex&gt; &quot;192.0.2.1&quot; ...&gt; |&gt; IP.Address . from_string! ( ) % IP.Address { address : 3221225985 , version : 4 } iex&gt; &quot;2001:db8::1&quot; ...&gt; |&gt; IP.Address . from_string! ( ) % IP.Address { address : 42540766411282592856903984951653826561 , version : 6 }","ref":"IP.Address.html#from_string!/1","title":"IP.Address.from_string!/1","type":"function"},{"doc":"Convert a string representation into an IP address of specified version or raise an IP.Address.InvalidAddress exception. Examples iex&gt; &quot;192.0.2.1&quot; ...&gt; |&gt; IP.Address . from_string! ( 4 ) % IP.Address { address : 3221225985 , version : 4 } iex&gt; &quot;2001:db8::1&quot; ...&gt; |&gt; IP.Address . from_string! ( 6 ) % IP.Address { address : 42540766411282592856903984951653826561 , version : 6 }","ref":"IP.Address.html#from_string!/2","title":"IP.Address.from_string!/2","type":"function"},{"doc":"Convert a string representation into an IP address of unknown version. Tries to parse the string as IPv6, then IPv4 before failing. Obviously if you know the version then using from_string/2 is faster. Examples iex&gt; &quot;192.0.2.1&quot; ...&gt; |&gt; IP.Address . from_string ( ) { :ok , % IP.Address { address : 3221225985 , version : 4 } } iex&gt; &quot;2001:db8::1&quot; ...&gt; |&gt; IP.Address . from_string ( ) { :ok , % IP.Address { address : 42540766411282592856903984951653826561 , version : 6 } }","ref":"IP.Address.html#from_string/1","title":"IP.Address.from_string/1","type":"function"},{"doc":"Convert a string representation into an IP address of specified version. Examples iex&gt; &quot;192.0.2.1&quot; ...&gt; |&gt; IP.Address . from_string ( 4 ) { :ok , % IP.Address { address : 3221225985 , version : 4 } } iex&gt; &quot;2001:db8::1&quot; ...&gt; |&gt; IP.Address . from_string ( 6 ) { :ok , % IP.Address { address : 42540766411282592856903984951653826561 , version : 6 } }","ref":"IP.Address.html#from_string/2","title":"IP.Address.from_string/2","type":"function"},{"doc":"Convert an Erlang-style tuple of bytes to an address. Examples iex&gt; { 192 , 0 , 2 , 1 } ...&gt; |&gt; IP.Address . from_tuple! ( ) % IP.Address { address : 3221225985 , version : 4 } iex&gt; { 8193 , 3512 , 0 , 0 , 0 , 0 , 0 , 1 } ...&gt; |&gt; IP.Address . from_tuple! ( ) % IP.Address { address : 42540766411282592856903984951653826561 , version : 6 }","ref":"IP.Address.html#from_tuple!/1","title":"IP.Address.from_tuple!/1","type":"function"},{"doc":"Convert an Erlang-style tuple of bytes to an address. Examples iex&gt; { 192 , 0 , 2 , 1 } ...&gt; |&gt; IP.Address . from_tuple ( ) { :ok , % IP.Address { address : 3221225985 , version : 4 } } iex&gt; { 8193 , 3512 , 0 , 0 , 0 , 0 , 0 , 1 } ...&gt; |&gt; IP.Address . from_tuple ( ) { :ok , % IP.Address { address : 42540766411282592856903984951653826561 , version : 6 } }","ref":"IP.Address.html#from_tuple/1","title":"IP.Address.from_tuple/1","type":"function"},{"doc":"Generate an IPv6 Unique Local Address Note that the MAC address is just used as a source of randomness, so where you get it from is not important and doesn't restrict this ULA to just that system. See RFC4193 Examples iex&gt; IP.Address . generate_ula ( &quot;60:f8:1d:ad:d8:90&quot; ) # IP.Address &lt; fd29 :f1ef : 86 a1 :: &gt;","ref":"IP.Address.html#generate_ula/3","title":"IP.Address.generate_ula/3","type":"function"},{"doc":"Determine if the IP address is a 6to4 address. Examples iex&gt; ~i(2002:c000:201::) ...&gt; |&gt; IP.Address . is_6to4? ( ) true iex&gt; ~i(2001:db8::) ...&gt; |&gt; IP.Address . is_6to4? ( ) false","ref":"IP.Address.html#is_6to4?/1","title":"IP.Address.is_6to4?/1","type":"function"},{"doc":"Determine if an IP address is a teredo connection. Examples iex&gt; ~i(2001::) ...&gt; |&gt; IP.Address . is_teredo? ( ) true","ref":"IP.Address.html#is_teredo?/1","title":"IP.Address.is_teredo?/1","type":"function"},{"doc":"Return information about a teredo connection. Examples iex&gt; ~i(2001:0:4136:e378:8000:63bf:3fff:fdd2) ...&gt; |&gt; IP.Address . teredo ( ) ...&gt; |&gt; Map . get ( :server ) # IP.Address &lt; 65.54 . 227.120 GLOBAL UNICAST &gt; iex&gt; ~i(2001:0:4136:e378:8000:63bf:3fff:fdd2) ...&gt; |&gt; IP.Address . teredo ( ) ...&gt; |&gt; Map . get ( :client ) # IP.Address &lt; 63.255 . 253.210 GLOBAL UNICAST &gt; iex&gt; ~i(2001:0:4136:e378:8000:63bf:3fff:fdd2) ...&gt; |&gt; IP.Address . teredo ( ) ...&gt; |&gt; Map . get ( :port ) 25535","ref":"IP.Address.html#teredo/1","title":"IP.Address.teredo/1","type":"function"},{"doc":"Convert an IPv4 address into a 6to4 address. Examples iex&gt; ~i(192.0.2.1) ...&gt; |&gt; IP.Address . to_6to4 ( ) # IP.Address &lt; 2002 :c000 : 201 :: GLOBAL UNICAST ( 6 to4 ) &gt;","ref":"IP.Address.html#to_6to4/1","title":"IP.Address.to_6to4/1","type":"function"},{"doc":"Returns the IP Address as an integer Examples iex&gt; ~i(192.0.2.1) ...&gt; |&gt; IP.Address . to_integer ( ) 3221225985 iex&gt; ~i(2001:db8::1) ...&gt; |&gt; IP.Address . to_integer ( ) 42540766411282592856903984951653826561","ref":"IP.Address.html#to_integer/1","title":"IP.Address.to_integer/1","type":"function"},{"doc":"Convert an address to an IP.Prefix . Examples iex&gt; ~i(192.0.2.1) ...&gt; |&gt; IP.Address . to_prefix ( 32 ) # IP.Prefix &lt; 192.0 . 2.1 / 32 DOCUMENTATION &gt;","ref":"IP.Address.html#to_prefix/2","title":"IP.Address.to_prefix/2","type":"function"},{"doc":"Convert an address into a string. Examples iex&gt; ~i(192.0.2.1) ...&gt; |&gt; IP.Address . to_string ( ) &quot;192.0.2.1&quot; iex&gt; ~i(2001:db8::1) ...&gt; |&gt; IP.Address . to_string ( ) &quot;2001:db8::1&quot;","ref":"IP.Address.html#to_string/1","title":"IP.Address.to_string/1","type":"function"},{"doc":"Returns true if address is version 4. Examples iex&gt; ~i(192.0.2.1) ...&gt; |&gt; IP.Address . v4? true iex&gt; ~i(2001:db8::) ...&gt; |&gt; IP.Address . v4? false","ref":"IP.Address.html#v4?/1","title":"IP.Address.v4?/1","type":"function"},{"doc":"Returns true if address is version 6. Examples iex&gt; ~i(192.0.2.1) ...&gt; |&gt; IP.Address . v6? false iex&gt; ~i(2001:db8::) ...&gt; |&gt; IP.Address . v6? true","ref":"IP.Address.html#v6?/1","title":"IP.Address.v6?/1","type":"function"},{"doc":"Returns the IP version of the address. Examples iex&gt; ~i(192.0.2.1) ...&gt; |&gt; IP.Address . version ( ) 4 iex&gt; ~i(2001:db8::1) ...&gt; |&gt; IP.Address . version ( ) 6","ref":"IP.Address.html#version/1","title":"IP.Address.version/1","type":"function"},{"doc":"Valid IP address","ref":"IP.Address.html#t:ip/0","title":"IP.Address.ip/0","type":"type"},{"doc":"Valid IPv4 address - integer between zero and 32 ones.","ref":"IP.Address.html#t:ipv4/0","title":"IP.Address.ipv4/0","type":"type"},{"doc":"Valid IPv6 address - integer between zero and 128 ones.","ref":"IP.Address.html#t:ipv6/0","title":"IP.Address.ipv6/0","type":"type"},{"doc":"IP address struct type, contains a valid address and version.","ref":"IP.Address.html#t:t/0","title":"IP.Address.t/0","type":"type"},{"doc":"Valid IP version (currently only 4 and 6 are deployed in the wild).","ref":"IP.Address.html#t:version/0","title":"IP.Address.version/0","type":"type"},{"doc":"Defines an IP prefix, otherwise known as a subnet.","ref":"IP.Prefix.html","title":"IP.Prefix","type":"module"},{"doc":"Returns true or false depending on whether the supplied address is contained within prefix . Examples iex&gt; ~i(192.0.2.0/24) ...&gt; |&gt; IP.Prefix . contains_address? ( ~i(192.0.2.127) ) true iex&gt; ~i(192.0.2.0/24) ...&gt; |&gt; IP.Prefix . contains_address? ( ~i(198.51.100.1) ) false iex&gt; ~i(2001:db8::/64) ...&gt; |&gt; IP.Prefix . contains_address? ( ~i(2001:db8::1) ) true iex&gt; ~i(2001:db8::/64) ...&gt; |&gt; IP.Prefix . contains_address? ( ~i(2001:db8:1::1) ) false iex&gt; outside = ~i(2001:db8::/64) ...&gt; inside = IP.Prefix . eui_64! ( outside , &quot;60:f8:1d:ad:d8:90&quot; ) ...&gt; IP.Prefix . contains_address? ( outside , inside ) true","ref":"IP.Prefix.html#contains_address?/2","title":"IP.Prefix.contains_address?/2","type":"function"},{"doc":"Returns true or false depending on whether the supplied inside is completely contained by outside . Examples iex&gt; outside = ~i(192.0.2.0/24) ...&gt; inside = ~i(192.0.2.128/25) ...&gt; IP.Prefix . contains_prefix? ( outside , inside ) true iex&gt; outside = ~i(192.0.2.128/25) ...&gt; inside = ~i(192.0.2.0/24) ...&gt; IP.Prefix . contains_prefix? ( outside , inside ) false iex&gt; outside = ~i(2001:db8::/64) ...&gt; inside = ~i(2001:db8::/128) ...&gt; IP.Prefix . contains_prefix? ( outside , inside ) true iex&gt; outside = ~i(2001:db8::/128) ...&gt; inside = ~i(2001:db8::/64) ...&gt; IP.Prefix . contains_prefix? ( outside , inside ) false","ref":"IP.Prefix.html#contains_prefix?/2","title":"IP.Prefix.contains_prefix?/2","type":"function"},{"doc":"Generate an EUI-64 host address within the specifed IPv6 prefix . EUI-64 addresses can only be generated for 64 bit long IPv6 prefixes. Examples iex&gt; ~i(2001:db8::/64) ...&gt; |&gt; IP.Prefix . eui_64! ( &quot;60:f8:1d:ad:d8:90&quot; ) # IP.Address &lt; 2001 :db8 :: 62 f8 : 1 dff :fead :d890 DOCUMENTATION &gt;","ref":"IP.Prefix.html#eui_64!/2","title":"IP.Prefix.eui_64!/2","type":"function"},{"doc":"Generate an EUI-64 host address within the specifed IPv6 prefix . EUI-64 addresses can only be generated for 64 bit long IPv6 prefixes. Examples iex&gt; ~i(2001:db8::/64) ...&gt; |&gt; IP.Prefix . eui_64 ( &quot;60:f8:1d:ad:d8:90&quot; ) ...&gt; |&gt; inspect ( ) &quot;{:ok, #IP.Address&lt;2001:db8::62f8:1dff:fead:d890 DOCUMENTATION&gt;}&quot;","ref":"IP.Prefix.html#eui_64/2","title":"IP.Prefix.eui_64/2","type":"function"},{"doc":"Returns the first address in the prefix. Examples iex&gt; ~i(192.0.2.128/24) ...&gt; |&gt; IP.Prefix . first ( ) # IP.Address &lt; 192.0 . 2.0 DOCUMENTATION &gt; iex&gt; ~i(2001:db8::128/64) ...&gt; |&gt; IP.Prefix . first ( ) # IP.Address &lt; 2001 :db8 :: DOCUMENTATION &gt;","ref":"IP.Prefix.html#first/1","title":"IP.Prefix.first/1","type":"function"},{"doc":"Create a prefix by attempting to parse a string of unknown version. Calling from_string!/2 is faster if you know the IP version of the prefix. Examples iex&gt; &quot;192.0.2.1/24&quot; ...&gt; |&gt; IP.Prefix . from_string! ( ) # IP.Prefix &lt; 192.0 . 2.0 / 24 DOCUMENTATION &gt; iex&gt; &quot;192.0.2.1/255.255.255.0&quot; ...&gt; |&gt; IP.Prefix . from_string! ( ) # IP.Prefix &lt; 192.0 . 2.0 / 24 DOCUMENTATION &gt; iex&gt; &quot;2001:db8::/64&quot; ...&gt; |&gt; IP.Prefix . from_string! ( ) # IP.Prefix &lt; 2001 :db8 :: / 64 DOCUMENTATION &gt;","ref":"IP.Prefix.html#from_string!/1","title":"IP.Prefix.from_string!/1","type":"function"},{"doc":"Create a prefix by attempting to parse a string of specified IP version. Examples iex&gt; &quot;192.0.2.1/24&quot; ...&gt; |&gt; IP.Prefix . from_string! ( 4 ) # IP.Prefix &lt; 192.0 . 2.0 / 24 DOCUMENTATION &gt; iex&gt; &quot;192.0.2.1/255.255.255.0&quot; ...&gt; |&gt; IP.Prefix . from_string! ( 4 ) # IP.Prefix &lt; 192.0 . 2.0 / 24 DOCUMENTATION &gt;","ref":"IP.Prefix.html#from_string!/2","title":"IP.Prefix.from_string!/2","type":"function"},{"doc":"Create a prefix by attempting to parse a string of unknown version. Calling from_string/2 is faster if you know the IP version of the prefix. Examples iex&gt; &quot;192.0.2.1/24&quot; ...&gt; |&gt; IP.Prefix . from_string ( ) ...&gt; |&gt; inspect ( ) &quot;{:ok, #IP.Prefix&lt;192.0.2.0/24 DOCUMENTATION&gt;}&quot; iex&gt; &quot;192.0.2.1/255.255.255.0&quot; ...&gt; |&gt; IP.Prefix . from_string ( ) ...&gt; |&gt; inspect ( ) &quot;{:ok, #IP.Prefix&lt;192.0.2.0/24 DOCUMENTATION&gt;}&quot; iex&gt; &quot;2001:db8::/64&quot; ...&gt; |&gt; IP.Prefix . from_string ( ) ...&gt; |&gt; inspect ( ) &quot;{:ok, #IP.Prefix&lt;2001:db8::/64 DOCUMENTATION&gt;}&quot;","ref":"IP.Prefix.html#from_string/1","title":"IP.Prefix.from_string/1","type":"function"},{"doc":"Create a prefix by attempting to parse a string of specified IP version. Examples iex&gt; &quot;192.0.2.1/24&quot; ...&gt; |&gt; IP.Prefix . from_string ( 4 ) ...&gt; |&gt; inspect ( ) &quot;{:ok, #IP.Prefix&lt;192.0.2.0/24 DOCUMENTATION&gt;}&quot; iex&gt; &quot;192.0.2.1/255.255.255.0&quot; ...&gt; |&gt; IP.Prefix . from_string ( 4 ) ...&gt; |&gt; inspect ( ) &quot;{:ok, #IP.Prefix&lt;192.0.2.0/24 DOCUMENTATION&gt;}&quot; iex&gt; &quot;2001:db8::/64&quot; ...&gt; |&gt; IP.Prefix . from_string ( 4 ) { :error , &quot;Error parsing IPv4 prefix&quot; }","ref":"IP.Prefix.html#from_string/2","title":"IP.Prefix.from_string/2","type":"function"},{"doc":"Returns the last address in the prefix. Examples iex&gt; ~i(192.0.2.128/24) ...&gt; |&gt; IP.Prefix . last ( ) # IP.Address &lt; 192.0 . 2.255 DOCUMENTATION &gt; iex&gt; ~i(2001:db8::128/64) ...&gt; |&gt; IP.Prefix . last ( ) # IP.Address &lt; 2001 :db8 :: ffff :ffff :ffff :ffff DOCUMENTATION &gt;","ref":"IP.Prefix.html#last/1","title":"IP.Prefix.last/1","type":"function"},{"doc":"Returns the bit-length of the prefix. Example iex&gt; ~i(192.0.2.1/24) ...&gt; |&gt; IP.Prefix . length ( ) 24","ref":"IP.Prefix.html#length/1","title":"IP.Prefix.length/1","type":"function"},{"doc":"Alter the bit- length of the prefix . Example iex&gt; ~i(192.0.2.0/24) ...&gt; |&gt; IP.Prefix . length ( 25 ) # IP.Prefix &lt; 192.0 . 2.0 / 25 DOCUMENTATION &gt;","ref":"IP.Prefix.html#length/2","title":"IP.Prefix.length/2","type":"function"},{"doc":"Returns the calculated mask of the prefix. Example iex&gt; ~i(192.0.2.1/24) ...&gt; |&gt; IP.Prefix . mask ( ) 0b11111111111111111111111100000000","ref":"IP.Prefix.html#mask/1","title":"IP.Prefix.mask/1","type":"function"},{"doc":"Create an IP prefix from an IP.Address and length . Examples iex&gt; IP.Prefix . new ( ~i(192.0.2.1) , 24 ) # IP.Prefix &lt; 192.0 . 2.0 / 24 DOCUMENTATION &gt; iex&gt; IP.Prefix . new ( ~i(2001:db8::1) , 64 ) # IP.Prefix &lt; 2001 :db8 :: / 64 DOCUMENTATION &gt;","ref":"IP.Prefix.html#new/2","title":"IP.Prefix.new/2","type":"function"},{"doc":"Return the address space within this address. Examples iex&gt; ~i(192.0.2.0/24) ...&gt; |&gt; IP.Prefix . space ( ) 256 iex&gt; ~i(2001:db8::/64) ...&gt; |&gt; IP.Prefix . space ( ) 18446744073709551616","ref":"IP.Prefix.html#space/1","title":"IP.Prefix.space/1","type":"function"},{"doc":"Returns an old-fashioned subnet mask for IPv4 prefixes. Example iex&gt; ~i(192.0.2.0/24) ...&gt; |&gt; IP.Prefix . subnet_mask ( ) # IP.Address &lt; 255.255 . 255.0 RESERVED &gt;","ref":"IP.Prefix.html#subnet_mask/1","title":"IP.Prefix.subnet_mask/1","type":"function"},{"doc":"Return the usable IP address space within this address. Examples iex&gt; ~i(192.0.2.0/24) ...&gt; |&gt; IP.Prefix . usable ( ) 254 iex&gt; ~i(2001:db8::/64) ...&gt; |&gt; IP.Prefix . usable ( ) 18446744073709551616","ref":"IP.Prefix.html#usable/1","title":"IP.Prefix.usable/1","type":"function"},{"doc":"Returns an &quot;cisco style&quot; wildcard mask for IPv4 prefixes. Example iex&gt; ~i(192.0.2.0/24) ...&gt; |&gt; IP.Prefix . wildcard_mask ( ) # IP.Address &lt; 0.0 . 0.255 CURRENT NETWORK &gt;","ref":"IP.Prefix.html#wildcard_mask/1","title":"IP.Prefix.wildcard_mask/1","type":"function"},{"doc":"Valid IPv4 prefix lengths from 0 to 32.","ref":"IP.Prefix.html#t:ipv4_prefix_length/0","title":"IP.Prefix.ipv4_prefix_length/0","type":"type"},{"doc":"Valid IPv6 prefix lengths from 0 to 128.","ref":"IP.Prefix.html#t:ipv6_prefix_length/0","title":"IP.Prefix.ipv6_prefix_length/0","type":"type"},{"doc":"Valid IP prefix length.","ref":"IP.Prefix.html#t:prefix_length/0","title":"IP.Prefix.prefix_length/0","type":"type"},{"doc":"The main prefix type, contains an address and a mask value.","ref":"IP.Prefix.html#t:t/0","title":"IP.Prefix.t/0","type":"type"},{"doc":"Implements scope lookup for all (currently) known scopes. Please open a pull-request if this needs changing.","ref":"IP.Scope.html","title":"IP.Scope","type":"module"},{"doc":"Return the scope of address Examples iex&gt; ~i(192.0.2.0) ...&gt; |&gt; IP.Scope . address_scope ( ) &quot;DOCUMENTATION&quot; iex&gt; ~i(2001:db8::) ...&gt; |&gt; IP.Scope . address_scope ( ) &quot;DOCUMENTATION&quot;","ref":"IP.Scope.html#address_scope/1","title":"IP.Scope.address_scope/1","type":"function"},{"doc":"Return the scope of prefix Examples iex&gt; ~i(192.0.2.0/24) ...&gt; |&gt; IP.Scope . prefix_scope ( ) &quot;DOCUMENTATION&quot; iex&gt; ~i(2001:db8::/32) ...&gt; |&gt; IP.Scope . prefix_scope ( ) &quot;DOCUMENTATION&quot;","ref":"IP.Scope.html#prefix_scope/1","title":"IP.Scope.prefix_scope/1","type":"function"},{"doc":"Provides the ~i sigil. You can use with import IP.Sigil or use IP . Valid modifiers are f to parse specifically as an IPv4 value, and s to parse specifically as an IPv6 value. As a side note, digits can't be used as sigil modifiers. Ask me how I know. ~i will raise IP.Sigil.InvalidValue in the event of a parsing failure. Examples iex&gt; ~i(192.0.2.1/32) # IP.Prefix &lt; 192.0 . 2.1 / 32 DOCUMENTATION &gt; iex&gt; ~i(192.0.2.1)f # IP.Address &lt; 192.0 . 2.1 DOCUMENTATION &gt; iex&gt; ~i(2001:db8::/32) # IP.Prefix &lt; 2001 :db8 :: / 32 DOCUMENTATION &gt; iex&gt; ~i(2001:db8::/32)s # IP.Prefix &lt; 2001 :db8 :: / 32 DOCUMENTATION &gt;","ref":"IP.Sigil.html","title":"IP.Sigil","type":"module"},{"doc":"Implements sigil_i for parsing IP addresses and prefixes. value is a string which will be passed to IP.Prefix.from_string and IP.Address.from_string sequentially. options is a charlist of flags provided to the sigil. Valid flags are: f parse string specifically as an IPv4 value. s parse string specifically as an IPv6 value. Examples iex&gt; IP.Sigil . sigil_i ( &quot;192.0.2.1&quot; , &#39;&#39; ) # IP.Address &lt; 192.0 . 2.1 DOCUMENTATION &gt; iex&gt; IP.Sigil . sigil_i ( &quot;192.0.2.0/24&quot; , &#39;&#39; ) # IP.Prefix &lt; 192.0 . 2.0 / 24 DOCUMENTATION &gt; iex&gt; IP.Sigil . sigil_i ( &quot;2001:db8::/32&quot; , &#39;&#39; ) # IP.Prefix &lt; 2001 :db8 :: / 32 DOCUMENTATION &gt; iex&gt; IP.Sigil . sigil_i ( &quot;2001:db8::&quot; , &#39;&#39; ) # IP.Address &lt; 2001 :db8 :: DOCUMENTATION &gt; iex&gt; IP.Sigil . sigil_i ( &quot;Marty McFly&quot; , &#39;&#39; ) ** (IP.Sigil.InvalidValue) Unable to parse &quot;Marty McFly&quot; as an IP address or prefix. iex&gt; IP.Sigil . sigil_i ( &quot;192.0.2.1&quot; , &#39;f&#39; ) # IP.Address &lt; 192.0 . 2.1 DOCUMENTATION &gt; iex&gt; IP.Sigil . sigil_i ( &quot;2001:db8::/32&quot; , &#39;f&#39; ) ** (IP.Sigil.InvalidValue) Unable to parse &quot;2001:db8::/32&quot; as an IPv4 address or prefix. iex&gt; IP.Sigil . sigil_i ( &quot;192.0.2.1&quot; , &#39;s&#39; ) ** (IP.Sigil.InvalidValue) Unable to parse &quot;192.0.2.1&quot; as an IPv6 address or prefix. iex&gt; IP.Sigil . sigil_i ( &quot;2001:db8::/32&quot; , &#39;s&#39; ) # IP.Prefix &lt; 2001 :db8 :: / 32 DOCUMENTATION &gt;","ref":"IP.Sigil.html#sigil_i/2","title":"IP.Sigil.sigil_i/2","type":"function"},{"doc":"An exception raised by the bang-version functions in IP.Address when the supplied value is invalid.","ref":"IP.Address.InvalidAddress.html","title":"IP.Address.InvalidAddress","type":"exception"},{"doc":"An exception raised by the bang-version functions in IP.Prefix when the supplied value is invalid.","ref":"IP.Prefix.InvalidPrefix.html","title":"IP.Prefix.InvalidPrefix","type":"exception"},{"doc":"An exception raised when IP.Sigil.sigil_i fails.","ref":"IP.Sigil.InvalidValue.html","title":"IP.Sigil.InvalidValue","type":"exception"}]